package com.example.museum2;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.CalendarView;
import android.widget.ImageView;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.appcompat.app.AppCompatActivity;

public class Booking extends AppCompatActivity {

    ImageView backbtn;
    TextView  nume_muzeu, show_date;
    String BookingHolder,dateHolder;
    CalendarView calendarView;
    Button next;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_booking);

        Intent intent = getIntent();

        RadioGroup rg = (RadioGroup)findViewById(R.id.radio_group);


       backbtn = findViewById(R.id.back_pressed);
       nume_muzeu = findViewById(R.id.nume_muzeu);
       show_date = findViewById(R.id.show_date);
       calendarView = findViewById(R.id.calendarView);
       next = findViewById(R.id.next);




        calendarView.setOnDateChangeListener(
                        new CalendarView
                                .OnDateChangeListener() {
                            @Override

                            // In this Listener have one method
                            // and in this method we will
                            // get the value of DAYS, MONTH, YEARS
                            public void onSelectedDayChange(
                                    @NonNull CalendarView view,
                                    int year,
                                    int month,
                                    int dayOfMonth)
                            {

                                // Store the value of date with
                                // format in String type Variable
                                // Add 1 in month because month
                                // index is start with 0
                                String Date
                                        = dayOfMonth + "-"
                                        + (month + 1) + "-" + year;

                                // set this date in TextView for Display
                                show_date.setText(Date);
                                dateHolder = show_date.getText().toString();
                            }
                        });


        Bundle bundle = intent.getExtras();

        BookingHolder = bundle.getString("nume_muzeu");
        nume_muzeu.setText( BookingHolder);



        Singleton_variable.getmInstance5().setSingleton_museum(BookingHolder);
        next.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {


                Intent intent = new Intent(Booking.this, Choose.class);

                dateHolder = show_date.getText().toString();
                Singleton_variable.getInstance2().setSingleton_date(dateHolder);

                RadioButton radioButton;
                int selectedId = rg.getCheckedRadioButtonId();
                radioButton = (RadioButton) findViewById(selectedId);


                String radiovalue = radioButton.getText().toString();
                Singleton_variable.getInstance3().setSingleton_time(radiovalue);


                startActivity(intent);
            }
        });





        backbtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {

                Booking.super.onBackPressed();
            }
        });

    }
}