package com.example.museum2;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

import androidx.appcompat.app.AppCompatActivity;

public class Checkout extends AppCompatActivity {

    TextView shop_checkout,museum_checkout,price_museum;
    Button pay;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_checkout);

        shop_checkout = findViewById(R.id.shop_checkout);
        museum_checkout = findViewById(R.id.museum_checkout);
        price_museum = findViewById(R.id.price_museum);
        pay = findViewById(R.id.pay_);

        int sum = Singleton.getInstance().sum();

        shop_checkout.setText("SHOP CHECKOUT: £" + sum);



        String muzeu2 = Singleton_variable.getInstance().getSingleton();
        String muzeu = Singleton_variable.getmInstance5().getSingleton_museum();

        if (muzeu.equals("Louvre Museum") ||muzeu.equals("National Museum of China") ||muzeu.equals("Vatican Museum") ||muzeu.equals("Metropolitan Museum") ||muzeu.equals("British Museum")) {
            price_museum.setText(muzeu + " (Price ticket) " + "£10");
            sum = sum + 10;
        }
        else if (muzeu.equals("Tate Modern") ||muzeu.equals("National Gallery") ||muzeu.equals("Natural History Museum") ||muzeu.equals("American Museum of Natural History") ||muzeu.equals("State Hermitage Museum")){

            price_museum.setText(muzeu + " (Price ticket) " + "£5");
            sum = sum + 5;
        }
        else if (muzeu2.equals("no museum")) {

            price_museum.setText("Museum: No museum selected");
        }


        museum_checkout.setText("TOTAL: £" + sum);
        Singleton_variable.getmInstance6().setSingleton_total_sum(sum);

        pay.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                // Going to Dashboard activity after login success message.
                Intent intent = new Intent(Checkout.this, Pay.class);

                startActivity(intent);


            }
        });


    }
}