package com.example.museum2;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;

import androidx.appcompat.app.AppCompatActivity;

public class Louvre extends AppCompatActivity {

    ImageView backbtn;
    Button booking;
    String BookingHolder;
    TextView Booking_text;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_louvre);


        backbtn = findViewById(R.id.back_pressed);
        booking  = findViewById(R.id.booking);

        Booking_text = findViewById(R.id.louvre_text);
        BookingHolder = Booking_text.getText().toString();

        backbtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {

                Louvre.super.onBackPressed();
            }
        });



        booking.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                // Going to Dashboard activity after login success message.
                Intent intent = new Intent(Louvre.this, Booking.class);

                // Sending username to Main page using intent.
                intent.putExtra("nume_muzeu", BookingHolder);

                Singleton_variable.getInstance().setSingleton(BookingHolder);
                Singleton_variable.getmInstance5().setSingleton_museum(BookingHolder);

                startActivity(intent);
            }
        });



    }
}